Subject: Ticket Assigned - Feedback or suggestions
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 16 Nov 2021 13:46:19 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Please educate the cashier on duty today between 1415H to 1428H about customer service and how to deal with customers.

Branch: Centerpoint Olaya, Al-Khobar, Saudi Arabia.

I was first on cue and politely waited for her to finish whatever she was doing behind the counter when I arrived. She then went to one of the check-out counters and processed the returns of another customer, when I pointed out that I was first, she said why didn't I say so, I told her that she saw me que up first but she ignored me. She then got angry and said that there is no cashier and nobody was working. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3378639